SQ(1)

NAME
sq key delete - Delete a certificate's secret key material

SYNOPSIS
sq key delete [OPTIONS]

DESCRIPTION
Delete a certificate's secret key material.

OPTIONS

  Subcommand options

--binary
    Emit binary data

--cert=FINGERPRINT|KEYID
    Delete secret key material from the key with the specified fingerprint or key ID

--email=EMAIL
    Delete secret key material from the key where a user ID includes the specified email address

--file=PATH
    Delete the secret key material from the key read from PATH

--output=FILE
    Write the stripped certificate to the specified file

--userid=USERID
    Delete secret key material from the key with the specified user ID

  Global options
See sq(1) for a description of the global options.

EXAMPLES

Delete any secret key associated with Alice's certificate.

    sq key delete --cert EB28F26E2739A4870ECC47726F0073F60FD0CBF0

Delete any secret key associated with Alice's certificate selected by user ID.

    sq key delete --email=alice@example.org

SEE ALSO
sq(1), sq-key(1).

For the full documentation see <https://book.sequoia-pgp.org>.

VERSION
0.39.0 (sequoia-openpgp 1.21.2)